startRecording
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/meetings/stream/index/startRecording \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"meetingId": "meeting_123example",
"recordingConfig": {
"mode": "available",
"audioOnly": false,
"quality": "720p",
"layout": "grid"
}
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/meetings/stream/index/startRecording"
payload = { "args": {
"meetingId": "meeting_123example",
"recordingConfig": {
"mode": "available",
"audioOnly": False,
"quality": "720p",
"layout": "grid"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
args: {
meetingId: 'meeting_123example',
recordingConfig: {mode: 'available', audioOnly: false, quality: '720p', layout: 'grid'}
}
})
};
fetch('https://connvo-dev.convex.cloud/api/run/meetings/stream/index/startRecording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"errorMessage": "",
"errorData": {},
"value": {
"recordingId": "recording_1704067200000",
"recordingUrl": "https://stream-recordings.example.com/recording_1704067200000.mp4",
"success": true
}
}{}{}Meetings
startRecording
layout, and audio settings. Only available for paid tier meetings using GetStream. Only the meeting host can start recording. Includes rate limiting (max 3 starts per minute) and tracks recording metadata. Updates meeting state to reflect active recording. Includes circuit breaker and retry logic for resilience.
POST
/
api
/
run
/
meetings
/
stream
/
index
/
startRecording
startRecording
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I